# Componere\Patch::derive

(Componere 2 >= 2.1.1)

Componere\Patch::derive — Derivación del parche

### Descripción

public Componere\Patch::derive(object `$instance`): Patch

Derivará un Patch (parche) para la `instance` (instancia) dada

### Parámetros

`instance`

  El objetivo del Parche derivado

### Valores devueltos

Patch (parche) para la `instance` (instancia) derivada del Patch (parche) actual

### Exceptions

Advertencia

Lanzará InvalidArgumentException si `instance` no es compatible